#ifndef CONEXION_SSL_H
#define CONEXION_SSL_H
#include "conexion.h"

#include <openssl/ssl.h>

class conexion_ssl : public conexion
{
public:
    conexion_ssl(config_reader &conf);
    void start_server();
private:
    /*void init_openssl();
    void cleanup_openssl();*/
    SSL_CTX *create_context();
    void configure_context(SSL_CTX *ctx);
};

#endif // CONEXION_SSL_H
